import os
import random
import shutil

# 画像を探すフォルダのパス
image_folder_path = 'C:/Users/xxxx'

# outputフォルダのパス
output_folder_path = 'C:/Users/xxxx'

# 画像ファイルの拡張子
image_exts = ['.jpg', '.jpeg', '.png', '.gif', '.pdf']

# 画像フォルダ内のフォルダ名を取得
folders = [f for f in os.listdir(image_folder_path) if os.path.isdir(os.path.join(image_folder_path, f))]

# 各フォルダ内の画像からランダムに1つ選択してoutputフォルダにコピー
for folder in folders:
    folder_path = os.path.join(image_folder_path, folder)
    images = [f for f in os.listdir(folder_path) if os.path.splitext(f)[-1].lower() in image_exts]
    if len(images) == 0:
        continue
    image_name = random.choice(images)
    src_path = os.path.join(folder_path, image_name)
    dst_path = os.path.join(output_folder_path, image_name)
    shutil.copy(src_path, dst_path)
